/*********************************************************************
 *
 * Authors: Vincenzo Ciaschini - Vincenzo.Ciaschini@cnaf.infn.it 
 *
 * Copyright (c) 2002, 2003 INFN-CNAF on behalf of the EU DataGrid.
 * For license conditions see LICENSE file or
 * http://www.edg.org/license.html
 *
 * Parts of this code may be based upon or even include verbatim pieces,
 * originally written by other people, in which case the original header
 * follows.
 *
 *********************************************************************/
#ifndef ___ACCESS_DB_SQL_H
#define ___ACCESS_DB_SQL_H

#include <string>
#include <vector>

#include <attribute.h>
/*
 * This module contains the functions that execute queries on the VOMS database.
 * All access is done via the layer of indirection provided by the functions in
 * the mysql_wrap.c module.
 */

extern bool special(const std::string &, const std::string &, const char *,
		    const std::string &, const std::string &, const char *, std::string &);
extern bool listspecial(const std::string &, const std::string &, const char *, 
			std::string &);
extern bool get_all(const std::string &, const std::string &, const std::string &,
		    const std::string &, const char *, std::vector<attrib> &);
extern bool get_role(const std::string &, const std::string &, const char *,
		     const std::string &, const std::string &, const char *, std::vector<attrib> &);
extern bool get_group(const std::string &, const std::string &, const char *,
		      const std::string &, const std::string &, const char *, std::vector<attrib> &);
extern bool get_group_and_role(const std::string &, const std::string &, const char *,
			       const std::string &, const std::string &, const char *,
			       std::vector<attrib> &);
#endif
